Skip to main content
POST
Create a bill payment

Authorizations

X-API-Key
string
header
required

Your application's API key (sk_development_… or sk_production_…). An optional X-Signature / X-Timestamp HMAC pair may additionally be sent for stronger security — see Authentication.

Path Parameters

connectionId
string<uuid>
required

The connection to the accounting system to write through.

Body

application/json
supplierRef
object
required
accountRef
object
required
totalAmount
number
required

Decimal amount in the document's currency.

currency
string
required
date
string<date>
required
billPaymentCode
string
currencyRate
number
Required range: x >= 0.0001
note
string
paymentMethodRef
object
billRef
object
lines
object[]

Response

Created

supplierRef
object
required
accountRef
object
required
totalAmount
number
required

Decimal amount in the document's currency.

currency
string
required
date
string<date>
required
billPaymentCode
string
currencyRate
number
Required range: x >= 0.0001
note
string
paymentMethodRef
object
billRef
object
lines
object[]
id
string
createdAt
string<date-time>
updatedAt
string<date-time>